
Name:		pnmixer
Version:	0.7.2
Release:	%mkrel 4
Summary:	Lightweight mixer applet
Group:		Sound
License:	GPLv3
URL:		https://github.com/nicklan/pnmixer/wiki
Source0:	%name-%version.tar.xz
Patch0:		0001-Try-to-use-pavucontrol-also-as-a-mixer-app-if-Volume.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: lib64alsa2-devel 
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel 
BuildRequires: lib64gdk_pixbuf2.0_0-devel 
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64x11-devel 

%description
PNMixer is system tray sound mixer. Currently it supports ALSA and PulseAudio.
It is written in C, depends only on GTK+, and does not require Gnome.

PNMixer is a fork of OBMixer with a number of additions. These include:
* Volume adjustment with the scroll wheel
* Textual display of volume level in popup window
* Continuous volume adjustment when dragging the slider (not just when you let
  go)
* Use system icon theme for icons and use mute/low/medium/high volume icons
* Configurable middle click action (default is mute/unmute)
* Preferences for:
  * volume text display
  * volume text position
  * icon theme
  * amount to adjust per scroll
  * middle click action

%prep
%setup -q
%apply_patches

%build
%cmake
%make_build

%install
rm -rf %buildroot
%make_install -C build

#desktop file
desktop-file-install \
    --dir=%{buildroot}/%{_sysconfdir}/xdg/autostart \
    --add-category="X-MandrivaLinux-Multimedia-Sound" \
    --remove-category="AudioVideo" \
    --add-not-show-in="KDE" \
    --add-not-show-in="LXQt" \
    --add-not-show-in="MATE" \
    --add-not-show-in="TDE" \
    	%buildroot/%{_datadir}/applications/%{name}.desktop
    	
rm -f %buildroot/%{_datadir}/applications/%{name}.desktop    	


%find_lang %{name}

%files -f %{name}.lang
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Jun 04 2023 tex - 0.7.2-4pclos2023
- show in xfce for non pulse users

* Thu Aug 22 2019 tex - 0.7.2-3pclos2019
- fix desktop file for various DEs

* Wed Jun 05 2019 tex - 0.7.2-2pclos2019
- rebuild against updates

* Tue Oct 10 2017 bb2 <bb2> - 0.7.2-1pclos2017
- new version

* Wed Jun 21 2017 bb2 <bb2> - 0.7-2pclos2017
- do not show in MATE

* Sat Jan 28 2017 bb <bb> 0.7-1pclos2017
- new version

